Last Comment Bug 478994 - Allow Softoken's fork check to be disabled
: Allow Softoken's fork check to be disabled
Status: RESOLVED FIXED
FIPS SUN_MUST_HAVE
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: trunk
: All All
: P1 major (vote)
: 3.12.3
Assigned To: Nelson Bolyard (seldom reads bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 19:16 PST by Nelson Bolyard (seldom reads bugmail)
Modified: 2009-02-25 22:58 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 - untested (2.42 KB, patch)
2009-02-17 19:16 PST, Nelson Bolyard (seldom reads bugmail)
rrelyea: review+
Details | Diff | Review

Description Nelson Bolyard (seldom reads bugmail) 2009-02-17 19:16:08 PST
Created attachment 362835 [details] [diff] [review]
patch v1 - untested

The fork checking that we introduced to Softken in NSS 3.12.3 has 
caused some old programs that dependend on the old behavior to stop 
working.  The developers of those programs desire that they be able to 
continue to operate as they have done for years.  They desire a way to 
disable Softoken's new fork checks.

The attached patch offers one proposed method for doing this. It adds 
another reserved string for the environment variable NSS_STRICT_NOFORK.
When C_Initialize detects that it is set to "DISABLED", C_Initialize 
will disable the fork checks.  

Before I ask for formal review of this patch, I'd like to know if it 
causes anyone great angst.
Comment 1 Wan-Teh Chang 2009-02-17 20:22:05 PST
I never understood why we wanted to add the fork check
to the softoken, so I have no comments for this bug.
Comment 2 Robert Relyea 2009-02-18 11:13:44 PST
Comment on attachment 362835 [details] [diff] [review]
patch v1 - untested

r+

rrelyea (once it's tested).
Comment 3 Nelson Bolyard (seldom reads bugmail) 2009-02-19 17:40:53 PST
Christophe, 
Please prepare a test build with this patch and prepare to test DS5 with
that version of NSS and the environment variable 
NSS_STRICT_NOFORK=DISABLED
Comment 4 Christophe Ravel 2009-02-23 09:35:13 PST
Nelson,

There is a typo in your patch at line 362  	

        if ( doForkCheck && !strcmp(doForkCheck, "DISBLED") ) { \

"DISBLED" should be "DISABLED"
Comment 5 Nelson Bolyard (seldom reads bugmail) 2009-02-25 22:58:07 PST
I fixed the spelling of DISABLED and committed the patch.
Checking in pkcs11.c;   new revision: 1.161; previous revision: 1.160
Checking in softoken.h; new revision: 1.23; previous revision: 1.22

Note You need to log in before you can comment on or make changes to this bug.